package com.bonait.bnframework.common.constant;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.db.QueryDB;
import com.bonait.bnframework.common.db.mode.BPA_ALERTLOG;
import com.bonait.bnframework.common.db.mode.BPA_GOODS;
import com.bonait.bnframework.common.db.mode.BPA_LOG;
import com.bonait.bnframework.common.db.mode.BPA_SILOS;
import com.bonait.bnframework.common.db.mode.BPA_SUBORDER;
import com.bonait.bnframework.common.db.res.MakeStatus;
import com.bonait.bnframework.common.db.res.ResGoodsMake;
import com.bonait.bnframework.common.db.res.ResGoodsRecipe;
import com.bonait.bnframework.common.db.res.StatusMode;
import com.bonait.bnframework.common.helper.mode.OrderA;
import com.bonait.bnframework.common.helper.mode.ResultA;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 单例模式
 * 数据中心
 */
public class DataBus {
    //region 单例模式
    private static DataBus  mInstance; //实例变量设置私有，防止直接通过类名访问

    private DataBus() {
        //默认构造函数私有，防止类外直接new创建对象
    }

    public static synchronized DataBus getInstance() { //静态同步方法作为唯一的实例对象获取方式
        if (mInstance==null) {
            mInstance = new DataBus();
        }
        return mInstance;
    }
    //endregion

    //region 连接状态
    /**
     * Plc是否连接
     */
    public boolean PlcIsConnect=false;
    //endregion

    //region 数据中心
    /**
     * 商品扫码等待制作列表
     */
    public List<ResGoodsMake> GoodsSMMake = new ArrayList<ResGoodsMake>();
    /**
     * 扫码商品订单制作
     */
    //public order_adapter orderadapter;
    /**
     * 商品制作列表
     */
    public List<ResGoodsMake> GoodsMake = new ArrayList<ResGoodsMake>();
    /**
     * 商品制作完成列表
     */
    public List<ResGoodsMake> GoodsMakeOver = new ArrayList<ResGoodsMake>();
    /**
     * 商品制作
     */
    //public makegood_adapter goodmakeadapter;

    /**
     * 获取是否可以下单
     */
    public boolean GetIsPlaceAnOrder()
    {
        try
        {
            if(GoodsMake.size()<=0)
            {
                return true;
            }else
            {
                boolean issucess=true;
                for (ResGoodsMake item:GoodsMake)
                {
                    if(item.makeStatus!= MakeStatus.制作完成)
                    {
                        issucess=false;
                    }
                }
                return issucess;
            }

        }catch(Exception e){
            return true;
        }
    }


    /**
     * 员工操作日志
     */
    public List<BPA_LOG> bpa_logs = new ArrayList<BPA_LOG>();
    /**
     * 订单操作日志
     */
    public List<BPA_ALERTLOG> bpa_alertlogs = new ArrayList<BPA_ALERTLOG>();
    /**
     * 设备状态列表
     */
    public List<StatusMode> statusModes = new ArrayList<StatusMode>();
    /**
     * 扫码订单
     */
    public OrderA OrderSM = new OrderA();
    //endregion
}
